# Přehled vydání

Počínaje verzí 1.14.0 poskytujeme poznámky k vydání skrze soubor AppData. Díky tomu může poznámky k vydání zobrazit uživateli správa aplikací (jako je Software GNOME).

Pro člověka čitelný textový výpis lze jednoduše vygenerovat pomocí následujícího příkazu:

`appstream-util appdata-to-news /usr/share/metainfo/org.gnome.gnome-commander.appdata.xml`

Verze | Datum vydání | Co je nového
--- | --- | ---

1.14.0

5.2.2022

Opravy chyb:

- Opravena záležitost #3 (nejsou zaznamenána zařízení připojená když Commander běží)

- Opravena záležitost #5 (volba „Následovat odkazy“ nefunguje při kopírování souborů)

- Opravena záležitost #13 (během kopírování není aktualizována velkost složky)

- Opravena záležitost #16 (počáteční složka pro levý panel nefunguje pro „.“)

- Opravena záležitost #19 (připojení FTP není korektně uzavíráno)

- Opravena záležitost #28 (na serveru FTP jsou všem uživatelům dána oprávnění k zápisu)

- Opravena záležitost #33 (zbavit se zavrženého gnome-vfs)

- Opravena záležitost #39 (kopírování selže, kdy je vybrán „disk“)

- Opravena záležitost #41 (po přejmenování složky není korektně zrušen odkaz na ni v mezipaměti)

- Opravena záležitost #45 (Gnome Commander se zavře při kliknutí na cestu SMB \\xxx\dddddd)

- Opravena záležitost #46 (automatická aktualizace obsahu složky není správně)

- Opravena záležitost #47 (při kopírování přes existující složku se složka zdvojí)

- Opravena záležitost #51 (v rámci stejného souborového systému přesun jako výchozí místo kopírování)

- Opravena záležitost #52 (automatická aktualizace, když se změní oprávnění apod.)

- Opravena záležitost #57 (vzdálené připojení: Gnome Commander chybně čte vlastnictví souboru)

- Opravena záležitost #59 (u připojení ssh nejde smazat přejmenovaná složka/soubor)

- Opravena záležitost #74 (nezobrazují se připojené externí disky)

- Opravena záležitost #75 (neukáže se nově vložené DVD)

- Opravena záležitost #76 (zhroucení Gnome Commanderu při použití webDAV s SSL)

- Opravena záležitost #107 (nezprávné zpracování řetězce s příkazem)

- Opravena záležitost #115 (autogen nehlásí žádnou chybu, když není k dispozici flex)

Nové funkce:

- Na výběr výchozí činnost pro „táhni a upusť“ soubory myší

- Místo trvalého smazání souboru lze volitelně použít koš (viz záležitost #2)

- Odstraněno dialogové okno interního vyhledávání souborů, místo toho se pro hledání souborů používá externí příkaz

- V indikátoru složky je zobrazován název připojeného vzdáleného serveru (viz záležitost #71)

- Nová položka nabídky pro vybrání/zrušení výběru pouze souborů

- Seznam vývojářů: Uwe Scholz, Mamoru Tasaka, Andrey Sokolov, Maik Pertermann, Philipp Kiemle

- Nové nebo aktualizované překlady: ca, cs, da, de, es, eu, fi, hu, id, pl, pt_BR, ro, ru, sl, sr, sv, tr, uk, zh_CN

- Nová nebo aktualizovaná dokumentace: es, sv

1.12.3.1

21.11.2021

Opravy chyb:

- Opravena záležitost #110 (make check selže na x390x; dík si zaslouží Mamoru Tasaka)

Nové funkce:

- Nové nebo aktualizované překlady: pl, sv, uk

- Nová nebo aktualizovaná dokumentace: sv

1.12.3

20.11.2021

Opravy chyb:

- Opravena záležitost #108 (zhroucení po kliknutí na soubor pravým tlačítkem)

- Zásuvný modul File-roller: Přídána obsluha chyb běhu (dík si zaslouží Andrey Sokolov)

Nové funkce:

- Nová nebo aktualizovaná dokumentace: cs, de, hu, ru

- Nová nebo aktualizovaná dokumentace: sv

1.12.2

29.5.2021

Opravy chyb:

- Opravena záležitost #104 (narušení segmentace paměti při zmáčknutí Ctrl+Right nebo Ctrl+Left nebo Ctrl+Shift+.)

Nové funkce:

- Nové nebo aktualizované překlady: es, id, ro

- Nová nebo aktualizovaná dokumentace: sv

1.12.1

17.4.2021

Opravy chyb:

- Opravena záležitost #12 (ptát se podruhé při pokusu o smazání neprázdné složky)

- Opravena záležitost #97 (v kontextové nabídce spustitelných souborů není zobrazeno „Spustit“)

- Opravena záležitost #98 („Spustit“ nefunguje pro soubory s mezerou v názvu)

- Opravena záležitost #55 (motiv se po použití nezmění ve všech kartách)

- Opravena záležitost #102 (chyba kompilace když není dostupná TagLib)

- Opravena záležitost #103 (zhroucení při zadání prázdného řetězce do vyhledávání)

Nové funkce:

- Nové nebo aktualizované překlady: pl, pt_BR, sr, sv, uk

- Nová nebo aktualizovaná dokumentace: sv

1.12.0

25.3.2021

Opravy chyb:

- Opravena záležitost #95 (interní prohlížeč: posouvání obrázků pomocí myši, kolečka myši nebo klávesnicových šipek)

- Opravena záležitost #96 (narušení segmentace paměti při otevírání vlastností souboru/složky pomocí klávesnice)

Nové funkce:

- Na otevírání souborů výchozí aplikací nasazeno GIO místo Gnome-VFS

- Na filtrování seznamu souborů a v různých dalších částech programu nasazeno GIO místo Gnome-VFS.

- Nové a aktualizované překlady: ca, cs, da, de, eo, es, eu, fi, hu, id, kk, pl, pt_BR, ro, sl, sr, tr, uk

- Nová nebo aktualizovaná dokumentace: cs, de, es, sv

1.10.3

19.6.2020

Opravy chyb:

- Opravena záležitost #29 (přechod ze zavrženého GnomeFileEntry na GtkFileChooserButton)

- Opravena záležitost #34 (zbavit se zastaralých knihoven libgnome a libgnomeui)

- Opravena záležitost #65 (kontextová nabídka v hledání: „zkopírovat název souboru“ nefunguje)

- Výchozí příkaz send-to převeden z nautilus-sendto na xdg-email

Nové funkce:

- Interní prohlížeč: Ve výchozím stavu zobrazuje informace s metadaty souboru

- Drobná vylepšení správy paměti

- Nové nebo aktualizované překlady: cs, de, es, eu, id, id, pl, pt_BR, pt_BR, sv, uk

- Nová nebo aktualizovaná dokumentace: cs, es

1.10.2

16.5.2019

Opravy chyb:

- Opravena chyba kompilace s exiv2 0.27.1 (dík si zaslouží Mamoru Tasaka)

Nové funkce:

- Nová nebo aktualizovaná dokumentace: es

1.10.1

12.5.2019

Opravy chyb:

- …

- Odstraněny odkazy na gnome-config; řeší bgo#570733 a záležitost #27 na GitLabu

Nové funkce:

- …

- Okno vyhledávání je možné volitelně minimalizovat nebo přesunout pod hlavní okno

- Nové nebo aktualizované překlady: ar, bg dz, de, en_CA, en_GB, es, ga, hr, hu, ne, pl, pt_BR, rw, sq, vi, zh_TW

- Nová nebo aktualizovaná dokumentace: de, es

1.10.0

31.3.2019

Opravy chyb:

- Vyřešena rozličná varování během kompilace

- Nějaká vylepšení kódu a oprava úniku paměti

Nové funkce:

- Nově přepracovaná ikona hlavní aplikace a interního prohlížeče

- Nastavení Gnome Commanderu zcela přesunuta do GSettings do klíče „org.gnome.gnome-commander“

- Volby v „~/.gnome2/gnome-commander“ a „~/.gnome-commander/*“ jsou automaticky migrovány

- Složka skriptů a zásuvných modulů přesunuta z „~/.gnome-commander“ do „~/.config/gnome-commander“

- Nové a aktualizované překlady: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- Nová nebo aktualizovaná dokumentace: cs, de, es, sv

1.8.1

4.3.2018

Opravy chyb:

- Opraven jednoduchý systém skriptů pro názvy souborů s mezerami

- Opraven problém bgo#785505 (problém při kompilaci GCMD s flex 2.6.4)

Nové funkce:

- Ukládá se velikost dialogového okna s volbami, když se samo zavře

- Odstraněny zbytečné čáry na okrajích karet dialogového okna s volbami (dík si zaslouží Elijah)

- Zcela odstraněna podpora pro Python

- Nové a aktualizované překlady: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- Nová nebo aktualizovaná dokumentace: cs, de, es

1.8.0

10.8.2017

Nové funkce:

- Rychlé hledání se začne prostě tím, že začnete psát písmena, a navíc si na kartě s volbami si můžete přizpůsobit pravidla

- Volba pro ukládání/neukládání historie příkazové řádky při ukončení

- Volba pro ukládání/neukládání historie hledání při ukončení

- Přidává volbu nastavení, kterou můžete rozhodnou, jestli má terminálové okno po dokončení příkazu zůstat otevřené.

- [sestavení] Nepoužívá se nadále gnome-autogen.sh (velké díky si zaslouží Philip Withnall a David King)

- [sestavení] Překlady jsou nyní zpracovány přes gettext místo intltool

- [sestavení] Nová infrastruktura pro dokumentaci: Používají se yelp-tools místo gnome-doc-utils

Ostatní změny:

- Zvýšen minimální požadavek na verzi GTK z 2.8.0 na 2.18.0

- Pročištěň zdrojový kód

Opravy chyb:

- [sestavení] Python je nyní vyhledán už ve chvíli sestavování i když jeho verze je rovna nebo vyšší 3.x

- Nové a aktualizované překlady: ca, cs, de, eo, es, fi, hu, id, pl, pt_BR, sl, sr, sr@latin, sv

- Nová nebo aktualizovaná dokumentace: cs, de, es

1.6.4

28.5.2017

Opravy chyb:

- Opraven problém bgo#779574 (neukládá se nastavení ostatních oblíbených aplikací)

- Opraven problém bgo#619112 (interní prohlížeč ve výchozím stavu zobrazuje nesprávné kódové stránky)

Nové funkce:

- Nové a aktualizované překlady: cs, de, eu, hu, id, pl, pt_BR, sr, sl@latin, sv

- Nová nebo aktualizovaná dokumentace: cs, de, es

1.6.3

26.2.2017

Opravy chyb:

- Knihovna libunique (někdy nazývaná jen „unique“) je nyní volitelná přes volbu nastavení

Nové funkce:

- Nové nebo aktualizované překlady: cs, es, pl, pt_BR, ru, sr, sl@latin

- Nová nebo aktualizovaná dokumentace: cs, de, es

1.6.2

6.11.2016

Opravy chyb:

- Opraven problém bgo#398734 (barva označených souborů se nemění, když se používají vlastní barvy)

- Šířka položky v seznamu zařízení je nastavená podle nejdelšího řetězce v seznamu

- Opravena chyba v nástroji pro pokročilé přejmenování, když se používají METATAGS

Nové funkce:

- Když na stavové liště není zobrazený seznam zařízení, zobrazuje popisek s volným místem na disku (funguje pro restartu gcmd)

- Je možné přiřadit klávesové zkratky pro:

  - Přesun kurzoru nahoru nebo dolů („Přesunout kurzor o krok nahoru/dolů“)

  - Zobrazení záložek aktuálního zařízení („Zobrazit záložky aktuálního zařízení“)

- Nové nebo aktualizované překlady: hu, de, pl, sr, sl@latin

- Nová nebo aktualizovaná dokumentace: cs

1.6.1

18.10.2016

Opravy chyb:

- Opraven problém bgo#638174 (vybraná barvy pozadí se nepoužije, když se používají vlastní barvy)

- Opraven problém bgo#773063 (kompilace s gcc6 -Werror=format-security; dík si zaslouží Mamoru Tasaka)

Nové funkce:

- Nová nebo aktualizovaná dokumentace: cs

1.6.0

4.10.2016

Opravy chyb:

- Opraven problém bgo#671616 (nabídka pravého tlačítka myši se zobrazovala na nesprávném místě; dík si zaslouží Puux)

- Opraven problém bgo#683087 (zhroucení při otevření okna s vlastnostmi pro určité objekty; dík si zaslouží Puux)

- Opraven problém bgo#742752 (umožněna změna velikosti u dialogového okna předvoleb a přidání posuvníků)

- Zachování zaměření souboru po jeho přejmenování pomocí pokročilého přejmenování (dík si zaslouží Martina Mocko)

- Opraven problém bgo#767158 (klávesové zkratky zastavovali fungování po změně rozvržení)

- Opraveno ošetření řetězců únikovým znakem (sekvence escape) pro složky se znakem ampersand (viz bgo#769309)

- Opraven problém bgo#770062 (únik paměti v GnomeCmdPlainPath; dík si zaslouží Eric)

- Opraven problém bgo#770063 (únik paměti v get_string_pixel_size; dík si zaslouží Eric)

Nové funkce:

- V dialogovém okně voleb se vždy znovu otevře karta, která byla zavřena naposledy

- Podpora Samby je nyní volitelně přístupná přes volby nastavení

- Nastavitelný příkaz pro odesílání souborů do upřednostňované aplikace

- Tlačítko „Upravit soubory“ bere na vědomí naráz více než jeden označený soubor

- Tlačítka zařízení a položky zařízení v seznamu fungují jako „tlačítka domů“ u zařízení, která jsou již aktivována

- Kopírování cesty ke složce do schránky po kliknutí pravým tlačítkem na indikátor složky (dík s zaslouží Puux)

- Pro zobrazení/skrytí hlavní nabídky je možné nastavit klávesovou zkratku (dík si zaslouží Puux)

- Jednoduchý systém zásuvných modulů pro kontextovou nabídku souborů (dík si zaslouží Puux)

- Zobrazení ikon aplikací ve vyskakovací nabídce „Otevřít pomocí“ (dík si zaslouží Puux)

- Okamžitý zápis změn v záložkách do souboru, synchronizace záložek mezi více instancemi (dík si zaslouží Puux)

- Úložiště pro volby je dáno v databázi dconf místo v souboru gnome-config (viz bgo#570733)

- Zařízení a oblíbené aplikace s ukládají ve formátu GKeyFile

- Zásuvný modul File Roller umí při vytváření názvu archivu používat vzory funkce strftime

- Začal se používat testovací vývojářský nástroj od Googlu pro jednotkové testy.

- Nový barevný motiv „Zima“

- Pročištěň zdrojový kód

- Nová nebo aktualizovaná dokumentace: cs, de, el, es

- Nové nebo aktualizované překlady: bs, ca, cs, de, es, eu, fi, fr, hu, id, lt, nb, oc, pl, pt, pt_BR, ro, sk, sl, sr, sl@latin, sv, tr

Ostatní změny:

- Odstraněn příkaz „Otevřít složku“ z robalovací nabídky a uživatelských činností

1.4.9

18.9.2016

Opravy chyb:

- Opraven problém bgo#764306 (překlepy a chybná slova v řetězcích, dík si zaslouží Anders Jonsson)

Nové funkce:

- Nové a aktualizované překlady: cs, de, es, hu, hu, hu, id, pl, pt, ro, sk, sr, sr@latin, sv

- Nová nebo aktualizovaná dokumentace: cs, de, es

1.4.8

14.3.2016

Opravy chyb:

- Opraven problém bgo#761580 (podpora gcc6 -Werror=format-security; dík si zaslouží Mamoru Tasaka)

Nové funkce:

- Nové nebo aktualizované překlady: cs, de, pl, pt, pt_BR, oc

- Nová nebo aktualizovaná dokumentace: cs, de

1.4.7

30.5.2015

Opravy chyb:

- Opraven problém bgo#745454 (narušení segmentace paměti po vyhledávání souborů; dík si zaslouží Mamoru Tasaka)

- Opraven problém bgo#749869 (narušení segmentace paměti při druhém vyhledávání; dík si zaslouží Mamoru Tasaka)

- Opraven problém bgo#734032 (kliknutí na soubor .png se dívá po špatném typu MIME; dík si zaslouží Mamoru Tasaka)

Nové funkce:

- Nové nebo aktualizované překlady: co

- Nová nebo aktualizovaná dokumentace: cs

1.4.6

19.5.2015

Opravy chyb:

- Opraven problém bgo#748869 (zhroucení při hledání dvakrát po sobě)

- Opraven problém bgo#746003 (zhroucení při otevření dialogového okna s vlastnostmi pro složku na FTP s „neobvyklým“ uid)

- Opraven problém bgo#747771 (soubor appdata.xml nebyl překládán, dík si zaslouží Dominique Leuenberger)

- Opraven problém bgo#653573 (hesla uložena v prostém textu v ./gnome-commander/connections)

- Opraven problém bgo#742752 (umožněna změna velikosti u dialogového okna předvoleb a přidání posuvníků)

Nové funkce:

- Nové nebo aktualizované překlady: bs, el, pt

- Nová nebo aktualizovaná dokumentace: cs, el

1.4.5

24.1.2015

Opravy chyb:

- Opraven problém bgo#741316 (Appdata scházela v šabloně POT)

- Opraven problém bgo#742716 (volba --start-right-dir způsobovala pád aplikace gnome-commander)

- Z gentoo ebuild byla odstraněna podpora pro python-2.6

Nové funkce:

- Nové nebo aktualizované překlady: cs, hu, id, sr, sr@latin

- Nová nebo aktualizovaná dokumentace: cs

1.4.4

11.11.2014

Opravy chyb:

- Opraven problém bgo#571495 (migrace z gnome_execute_shell na g_spawn_async)

- Opraven problém bgo#737088 (podpora pro uživatelský terminál jiný než gnome-terminal)

Nové funkce:

- Nové a aktualizované překlady: cs, de, eu, fi, id, sr, sr@latin

- Nová nebo aktualizovaná dokumentace: cs, es

1.4.3

22.6.2014

Opravy chyb:

- Opraven problém #731557 (zhroucení při přetahování myší v situaci, kdy soubor již existuje)

Nové funkce:

- Nová nebo aktualizovaná dokumentace: cs, de, eu, fi

- Nová nebo aktualizovaná dokumentace: cs

1.4.2

23.5.2014

Opravy chyb:

- Opraven problém Gentoo #509574 (v ebuild přehozeno z python-r1 na python-single-r1)

- Opraven problém bgo#367949 (správné výsledky z async_xfer_callback pro přesouvanou složku)

- Opraven problém bgo#598161 (vybírání textu v interním prohlížeči na řádcích se znaky TAB)

- Výběr textu v interním prohlížeči funguje na řádcích se znaky tabulátor (díky patří přispěvateli Jan Vleeshouwers).

Nové funkce:

- Nové nebo aktualizované překlady: cs, el, sr, sr@latin

1.4.1

5.4.2014

Opravy chyb:

- Opraven problém bgo#641842 (použita knihovna poppler-glib místo interního API poppler)

- Opraven problém bgo#726682 (záplata opravující nedefinovaný odkaz do vtable)

- Podpora pro vytváření a změnu data v metadatech dokumentu v kódování utf8

- Přesunuty položky Hledat, Rychlé hledání a Povolit filtr z nabídky Upravit do nabídky Soubor

Nové funkce:

- Nové nebo aktualizované překlady: cs, es, fr , id , pt_BR, sl

- Nová nebo aktualizovaná dokumentace: cs, es

1.4.0

17.3.2014

Opravy chyb:

- Opraven problém bgo#377463 (dialogové okno vytváření složky ztrácí zaměření)

- Opraven problém bgo#492479 (dotaz na smazání souboru musí zobrazovat datum a velikost souborů)

- Opraven problém bgo#617140 (cíl GNOME: používat přístupové funkce namísto přímého přístupu)

- Opraveny problémy bgo#632064, bgo#632208, bgo#633107, bgo#633167, bgo#633331, bgo#634972, bgo#637873, bgo#638059 (chyby v gnome-commander-help.master.po)

- Opraven problém bgo#660043 (klávesová zkratka Alt+šipka dolů není zdokumentována)

- Opraven problém bgo#660268 (zapamatovat si historii složek mezi sezeními)

- Opraven problém bgo#667080 (výchozí volba u potvrzování mazání na Ano/Budiž)

- Opraven problém v Ubuntu #117226 (sjednocení záložek)

- Opraven problém s pravým tlačítkem myši, kdy výběr nebyl přesný

- Opraven problém bgo#696227 (detekce a podpora libgsf >= 1.14.26)

- Opraven problém bgo#684527 (opraven překlep v řetězci)

- Opraven problém bgo#660063 (klávesová zkratka Alt+šipka dolů byla nadefinována jako uživatelsky nastavitelná: view.dir_history)

- Opraven problém #642178 (zamknutí karty vůči tlačítkům zpět/vpřed)

Nové funkce:

- Podpora pro karty

- Přepracováno dialogové okno záložek

- Přepracováno dialogové okno vlastností souboru

- Režim jedné instance

- Nový barevný motiv: green tiger

- Uživatelem definované barvy LS_COLORS

- Možnost vybírat/rušit výběr jen souborů

- Podpora pro automatickou šířku počitadel v pokročilém přejmenování souborů

- Zdokonaleno porovnávání názvů souborů v rychlém hledání

- Otevírání terminálu s administrátorským oprávněním

- Výzva k potvrzení operací „táhni a upusť“

- Vyskakovací nabídka pod pravým kliknutím pro kopírování v interním prohlížeči

- přepínač příkazové řádky --config-dir pro vlastní umístění souborů nastavení

- Řada vylepšení rychlosti, včetně přepsání a pročištění kódu C++

- Nový zásuvný modul v jazyce Python: „apply_patch“

- Odstraněno nefunkční nastavování typů MIME

- Odstraněna podpora pro zásuvný modul cvs

- Nová nebo aktualizovaná dokumentace: cs, de, en, es, el, fr, ru, sl

- Nové nebo aktualizované překlady: ca, cs, da, eo, es, eu, fr, hu, it, ja, ko, nb, pl, pt_BR, ro, ru, sl, sr, sr@latin, sv, uk, zh_CN

- Nové klávesové zkratky

  - Ctrl T Otevřít složku v nové kartě (nahradilo starou zkratku Nástroj vícenásobného přejmenování)

  - Ctrl W Zavřít aktuální kartu

  - Ctrl Shift W Zavřít všechny karty

  - Ctrl TAB Přepnout na následující kartu

  - Ctrl Shift TAB Přepnout na předchozí kartu

  - SUPER 1 Změnit připojení v levém panelu

  - SUPER 2 Změnit připojení v pravém panelu

1.2.8.17

12.1.2014

Opravy chyb:

- Opraven problém bgo#721132 (podpora sestavení s -Werror=format-security)

- Aktualizováno umístění domovské stránky GCMD ve zdrojovém kódu

Nové funkce:

- Aktualizovány překlady: es, id, pt_BR

1.2.8.16

23.12.2013

Opravy chyb:

- Opraven problém s překladem pomocí gcc-4.7

- Opravena chyba bgo#705724 (poppler >= 0.24)

- Opravena chyba bgo#676303 (poppler >= 0.20.0)

Nové funkce:

- Nová nebo aktualizovaná dokumentace: de, el, fr

- Aktualizovány překlady: da, de, el, fr, hu, id, pt_br, ru, sl, th

1.2.8.15

6.12.2011

Opravy chyb:

- Opraven problém #65372 (chybějící odkazy na dokumentaci gcmd-1.2.8)

Nové funkce:

- Nová nebo aktualizovaná dokumentace: cs, de, es, fr

- Aktualizované překlady: eo, es, sl

1.2.8.14

4.10.2011

Opravy chyb:

- Opraven problém #621756 (vlastní port pro FTP není ukládán)

- Opraven problém #657780 (chyba v nl.po)

1.2.8.13

6.8.2011

Opravy chyb:

- Opraven problém #646871 (zhroucení při zobrazení vlastností souboru, když je připojeno k FTP)

1.2.8.12

15.6.2011

Opravy chyb:

- Opraven problém #6182142 (zhroucení při zrušení hledání)

- Opraven problém #640387 (další oprava ohledně zastaralých modulů python: md5, sha1)

- Opraven problém #649375 (záložky se neaktualizují při přidání nové)

- Opraven problém s oprávněním mkdir

1.2.8.11

1.5.2011

Opravy chyb:

- Opraven problém #639243 (matoucí dokumentace pro klávesovou zkratku F2)

- Opraven problém #640387 (používání zastaralých modulů python: md5, sha1)

- Opraven problém se spouštěním GNOME Commander pod uživatelem root

- Opraven problém s překladem do tradiční čínštiny

Nové funkce:

- Podpora pro tlačítka myši zpět/vpřed

1.2.8.10

15.1.2011

Opravy chyb:

- Opraven problém #448941 (v hlavním okně nepracují šipky z číselné klávesnice)

- Opraven problém #620275 (přidána položka nabídky pro kopírování úplné cesty a názvu souboru do schránky)

- Opraven problém #637501 (pokročilé přejmenování: kontextová nabídka metaštítku zobrazuje nesprávné položky)

- Opraven problém s přepínáním výběru cesta/základní název/název souboru v dialogovém okně kopírování/přejmenování

- Opraven problém s hledáním cesty pro zařízení

- Aktualizované překlady: de

1.2.8.9

3.12.2010

Opravy chyb:

- Opraven problém #352024 (klávesa F10 nepracuje)

- Opraven problém #631243 (regrese s $c(šířka) v nástroji pokročilého přejmenování)

Nové funkce:

- Podpora pro divoké znaky ve stylu shellu v rychlém hledání

1.2.8.8

9.9.2010

Opravy chyb:

- Opraven problém #610764 (položka nabídky nezůstává zaškrtnuta)

- Opraven problém #626469 (přidána podpora pro jiné programy typu su: xdg-su, gnomesu)

- Opraven problém s vadným španělským překladem

1.2.8.7

27.7.2010

Opravy chyb:

- Opraven problém #540438 (žádná správa v grafickém rozhraní, když nelze spustit meld)

- Opraven problém #616367 (dialogové okno „Soubor nenalezen“ po spuštění)

- Opraven problém #620650 (přetečení vyrovnávací paměti ve funkci load_fav_apps())

- Opraven problém #622456 (nesestavovat zásuvné moduly jako objekty sdílených knihoven)

- Opraven problém s úpravou voleb pro oblíbené aplikace a zařízení

1.2.8.6

1.6.2010

Opravy chyb:

- Opraveny problémy #600292, #612685 (zhroucení při dvojitém kliknutí na záložku)

- Opraven problém #602795 (prohledávání obsahu souboru)

- Opraven problém #609912 (chyba sestavování s --as-needed)

- Opraven problém #616891 (chyba sestavování pod RHEL 5.5)

Nové funkce:

- Nový překlad: ko

1.2.8.5

13.2.2010

Opravy chyb:

- Opraven problém #604558 (kurzor se ztrácí/objevuje se na nesprávném místě)

- Opraven problém #604904 (chyba sestavení pod systémem OpenSolaris)

- Opraven problém #609342 (nezobrazovat čas mtime pro „..“)

- Opraven problém s upravováním připojení k síti Windows

- Opraven problém s neexistujícími uživatelskými akcemi

1.2.8.4

3.12.2009

Opravy chyb:

- Opraven problém #602916 (nepracující položka nabídky)

- Opraven problém #603301 (zhroucení při zrušení vytváření symbolického odkazu klávesou ESC)

- Opraven problém #369818 (nesprávné řazení podle velikosti v panelu)

- Opraven problém s nepracující klávesou Enter v dialogovém okně kopírování/přesunu

- Opraven problém s vynecháváním klávesnice po Alt+1/2 při skrytém seznamu zařízení

1.2.8.3

28.10.2009

Opravy chyb:

- Opraven problém #541891 (názvy souborů s % v nástroji pokročilého přejmenování souborů)

- Opraven problém #581645 (nepohodlné rychlé hledání)

- Opraven problém #637501 (varování sestavení pro Python)

- Opraven problém #596973 (chyba sestavení dokumentace)

- Opraven problém #597144 (chybějící volání funkce pclose)

- Opraven problém #597233 (ověřování platnosti překladů dokumentace)

- Opraven problém #597890 (do programu meld předávány nesprávné argumenty)

- Opraven problém #598278 (únik paměti)

1.2.8.2

22.9.2009

Opravy chyb:

- Opraven problém #591944 (po chmod oprávnění nastavena na 000)

- Opravena chyba #595097 (chyba sestavení pro poppler >= 0.11.3)

- Opraven problém #438884 z Debianu (nesprávné návěští zařízení při přepínání panelů pomocí Ctrl+U)

- Opraven problém s poškozenou ikonou po přejmenování symbolického odkazu

1.2.8.1

10.8.2009

Opravy chyb:

- Opraven problém #587325 (zhroucení v čistém prostředí chroot)

- Opraven problém #589108 (chyba sestavování pod openSUSE)

- Opraven problém #591206 (zhroucení při volání sysconf() pod FreeBSD)

- Opraven problém s formátováním počítadla $c(16) v šablonách pokročilého přejmenování souborů

1.2.8

29.6.2009

Opravy chyb:

- Opraven problém #375357 (zhroucení při zrušení výpočtu vlastností složky)

- Opraven problém #536446 (nezaměřen název souboru při jeho přejmenování v místě)

- Opraven problém #539812 (zhroucení při mazání souborů: poškozen it.po)

- Opraven problém #548947 (problém s datem v národním prostředí s jiným kódováním než UTF-8)

- Opraven problém #548948 (zhroucení v případě, kdy domovská složka obsahuje jiné znaky než UTF-8)

- Opraven problém #548961 (podpora pro vstupní metodu při přejmenování nebo rychlém hledání)

- Opraven problém #554586 (problém s makrem AC_PROG_CXX)

- Opraven problém #554598 (cíl GNOME: LINGUAS)

- Opraven problém #556664 (nelze uložit záložky pro připojená zařízení)

- Opraven problém #567404 (zhroucení když je zmáčknuta klávesa INSERT nad podsložkou)

- Opraven problém #556836 (posuv panelů při přesunu mezi panely)

- Opraven problém #567506 (pomalý start u systémů s mnoha uživateli)

- Opraven problém #570727 (použití zavržené funkce gnome_url_show)

- Opraven problém #571239 (náhrada zastaralého GnomeColorPicker za GtkColorButton)

- Opraven problém #571247 (náhrada zastaralého GnomePixmap za GtkImage)

- Opraven problém #571558 (nahrazení zavržených tlačítek GNOME_STOCK_* za jejich nové protějšky)

- Opraven problém #576174 (řazení názvů souborů bez ohledu na velikost písmen při jiném nastavení národním prostředí než en_US.utf8)

- Opraven problém #579633 (přístup ke správcovským oprávněním přes gksudo)

- Opraven problém #583135 (znepřístupněno tlačítko „Přejít na“ v dialogovém okně hledání)

- Opraven problém #583711 (zhroucení při zmáčknutí ESC v dialogovém okně záložek)

- Opraven problém #584727 (nesprávná poloha kontextové nabídky souboru)

- Opraven problém s nastavením stejné velikosti panelů ve vodorovném režimu

- Opraven problém s aktualizací informace MIME po přejmenování souboru

Nové funkce:

- Podpora pro metaštítky PDF v šablonách pokročilého přejmenování souborů

- Přepracování nástroje pokročilého přejmenování souborů (zpětné odkazy regex („\number“), profily, převody malých/velkých písmen, ořezávání bílých znaků a další)

- Podpora pro metadata štítků v interním prohlížeči

- Podpora pro režim otevírání jednoduchým kliknutím

- Podpora pro změnu pozadí řádku v barevných motivech

- Nový barevný motiv: cafezinho

- Nová nebo aktualizovaná dokumentace: de, en, es

- Nové nebo aktualizované překlady: ar, cs, de, es, eu, fr, it, ja, pl, pt_BR, sl, sv

- Nové klávesové zkratky

  - Ctrl E Otevřít seznam historie pro příkazový řádek

- Nové klávesové zkratky pro interní prohlížeč:

  - T Zobrazit metadata štítků (nahradilo původní E)

  - Alt Enter Zobrazit štítky metadat

1.2.7

28.7.2008

Opravy chyb:

- Opraven problém #522430 (rychlé hledání pro soubory začínající velkým písmenem)

- Opraven problém #532615 (souborové operace na nesprávných souborech)

- Opraven problém #538806 (rychlé hledání v kořenové složce)

- Opraven problém #539753 (chyba sestavování pod systémem Solaris)

- Opraven problém #541404 (aktualizace názvů počítačů)

- Opraven problém s řazením souborů v pokročilém nástroji přejmenování

- Opravy sestavování

Nové funkce:

- Podpora pro všechny síťové protokoly GnomeVFS (včetně SSH+FTP a WebDAV)

- Uživatelem definovatelné klávesové zkratky pro libovolné programy

- Kopírování vybraných adres URI do schránky pomocí Alt kliknutí na tlačítko na nástrojové liště

- Přepracováno dialogové okno vyhledávání

- Přepracováno dialogové okno s průběhem přenosu

- Aktualizována dokumentace nápovědy

- Nové nebo aktualizované překlady: cs, de, es, fr, it, ja, oc, pl, pt_BR

1.2.6

1.6.2008

Opravy chyb:

- Opraven problém #392959 (dynamická změna uživatele na superuživatele root)

- Opraven problém #496150 (posun kolečkem myši)

- Opraven problém #499761 (vymazáno okno hledání při seřazení sloupce)

- Opraven problém #499764 (problém vícenásobného výběru)

- Opraven problém s řazením názvů souborů v kódování UTF-8

- Opraven problém s kopírováním souboru do složek, které jsou symbolickými odkazy

- Opraven problém při práci s úplnou cestou k souboru při kopírování/přesunu na připojená zařízení

Nové funkce:

- Režim superuživatele root pro spouštění aplikace GNOME Commander s právy správce

- Uživatelské rozhraní pro správu klávesových zkratek

- Otevřít aktuální umístění ve správci souborů Nautilus

- Nástroj hromadného přejmenování – nové zástupné proměnné $x a $X pro náhodná čísla v šestnáctkové soustavě

- Přepracováno dialogové okno vyhledávání

- Podpora pro modifikátory <super>, <hyper> a <meta> (od GTK+ 2.10)

- Aktualizována dokumentace nápovědy

- Nové nebo aktualizované překlady: cs, de, en_GB, es, eu, fi, fr, hu, it, oc, pl, sl

- Nové klávesové zkratky

  - SUPER F Hledat soubory

1.2.5

29.2.2008

Opravy chyb:

- Opraven problém #345314 (kurzor nezůstává na souboru během přejmenovávání)

- Opraven problém #353889 (mizející soubory po selhání přesunu (F6))

- Opraveny problémy #346286, #424447, #447882, #467058 (zhroucení při použití regulárního výrazu v nástroji přejmenování)

- Opraveny problémy #365227 a #446361 (záležitost sestavování pod systémem Solaris)

- Opraven problém #424159 (problém řazení sloupců)

- Opraven problém #434545 (chyba #421480 v Debianu: obrovské ikony pro ikony zařízení)

- Opraven problém #447415 (nemožnost spouštět spustitelné soubory)

- Opraven problém #448942 (Shift+Enter: spouštění příkazu v samostatném okně)

- Opraven problém #449137 (přejmenovaná složka není přístupná pod názvem)

- Opraven problém #468685 (zhroucení v modulu python)

- Opraven problém #490431 (zobrazení souborů s názvem obsahujícím „%“)

- Opraven problém #508565 (nesprávná práce s utf-8 v nástroji pro pokročilé přejmenování souborů)

- Opraven problém #510567 (selhala kontrola assert při mazání složky)

- Opraven problém při vytváření ~/složka

- Opraven problém s aktualizací stavové lišty interního prohlížeče

- Opraveno zhroucení při vytváření složky s absolutní cestou na sdílení SMB

- Opraveno zhroucení při přesouvání souboru s % v názvu

- Opraven problém s občasným mizením kurzoru v panelu souborů

- Opraven problém s připojováním zařízení s mezerami v názvu

- Opraven problém s historií šablon v pokročilém přejmenování

- Opravy sestavování

Nové funkce:

- Podpora pro metaštítky APE, FLAC a Vorbis v šablonách pokročilého přejmenování souborů

- Podpora pro poznámky tvůrců v metaštítcích Exif v šablonách pokročilého přejmenování souborů

- Podpora pro metaštítky souboru v šablonách pokročilého přejmenování souborů

- Použit autentizační správce pro bezpečnostní ověřování uživatelů

- Metadata štítků v dialogovém okně vlastností souboru

- Otevřít terminál v aktuální složce

- Výchozí ikony motivu GNOME pro umístění Domů, SMB a FTP

- Uživatelem definovatelné klávesové zkratky pro záložky

- Odeslat soubory přes e-mail nebo rychlou komunikaci (pomocí nautilus-sendto)

- Aktualizována dokumentace nápovědy

- Nové nebo aktualizované překlady: ar, bg, cs, de, dz, eo, es, eu, fr, oc, pl, pt_BR, ro, sl, sv

- Nové klávesové zkratky

  - Ctrl šipka vlevo/vpravo Kopírovat aktuální pracovní složku z aktivního seznamu souborů do neaktivního

  - Ctrl N Otevřít nové připojení ke vzdálenému serveru (nahradilo původní Ctrl G)

1.2.4

9.6.2007

Opravy chyb:

- Opraven problém s otevíráním složek interním prohlížečem

- Opraven problém s upravováním složek aplikací GNOME Commander

- Opraven problém #351952 (zhroucení při prohledávání obsahu)

- Opraven problém #352253 (chování posuvu v prohlížeči)

- Opraven problém #360175 (zhroucení při zadání složky s %)

- Opraveny problémy #371948 a #388970 (cesta k souboru neošetřena sekvencemi escape)

- Opraven problém #412162 (sestavení s --enable-python=no)

- Opravy sestavování

Nové funkce:

- Podpora pro zásuvné moduly v jazyce Python

- Nové zásuvné moduly v jazyce Python:

  - `md5sum` Vytváří kontrolní součet MD5 (128bitové)

  - `sha1sum` Vytváří kontrolní součet SHA-1 (160bitové)

- Podpora pro metaštítky OLE a ODF v šablonách pokročilého přejmenování souborů

- Uživatelem definované klávesové zkratky

- Autentizace SMB

- Zobrazování celkové velikosti souborů ve vybraných podsložkách

- „cd-“ pro změnu na předchozí pracovní složku

- Více intuitivní použití nástroje diff

- Synchronizace složek

- Vytváření složek podobně jako „mkdir -p“

- Aktualizována dokumentace nápovědy

- Nové nebo aktualizované překlady: ar, bg, cs, dz, en_GB, fr, it, oc, pl, sl, sv

- Nové klávesové zkratky

  - Ctrl\ Přejít do kořenové složky

  - Ctrl` Přejít do domovské složky

  - Ctrl 5 Vytvořit kontrolní součet MD5 (128bitový)

  - Ctrl Shift C Kopírovat názvy vybraných souborů do schránky

1.2.3

11.12.2006

Opravy chyb:

- Opraven problém #384752 (nesprávná oprávnění pro nové složky)

1.2.2

11.12.2006

Opravy chyb:

- Opraven problém s vytvářením symbolických odkazů pro více vybraných souborů

- Opraven problém s číslicemi při seskupování velikostí souborů

- Opraven problém se zacházením s SMB UNC

- Opraven problém #367744 (název souboru není zobrazován správně)

- Opraven problém #374282 (hledání s rekurzivními symbolickými odkazy)

- Opraven problém #377706 (vybírání souborů s Shift+PageDown)

Nové funkce:

- Podpora pro metaštítky ID3 v šablonách pokročilého přejmenování souborů

- Aktualizována dokumentace nápovědy

- Nové a aktualizované překlady: ar, en_GB, es, fi, it, pl, sv

- Nové klávesové zkratky

  - Ctrl Shift= Nastavit oba panely jako stejné

1.2.1

16.10.2006

Opravy chyb:

- Opraven problém s aktualizací databáze scrollkeeper

- Opraveno zhroucení při příkazu, když je indikátor složky prázdný

- Opraven problém s aktualizací zobrazení po změně vlastnictví a oprávnění

- Opraven problém #333898 (zavržená předpona ikony v souboru pracovní plochy)

- Opraven problém #347561 (nesprávně nastavená složka zásuvných modulů)

- Opraven problém #347817 (nesprávné použití příznaků linkeru v Makefile)

Nové funkce:

- Podpora pro archivy (gz, bz2, zip, lha, rar, jar, 7-zip, zoo, deb, rpm) přes zásuvný modul FileRoller

- Rejstříky ve stylu python pro šablony pokročilého přejmenování souborů

- Podpora pro metaštítky Exif a IPTC v šablonách pokročilého přejmenování souborů

- Rychlý přístup k zástupným proměnným šablon pokročilého přejmenování

- Přejmenování v místě (Shift+F6)

- Přepracována nabídka aplikace

- Funkce „Najít“ pro interní prohlížeč

- Nová ikona pro interní prohlížeč

- Aktualizována dokumentace nápovědy

- Nové nebo aktualizované překlady: ca, cs, de, el, en_GB, es, eu, fi, hu, it, ne, pl, ru, sv, vi

- Nové klávesové zkratky

  - Ctrl Shift H Přepnout zobrazování skrytých souborů

1.2.0

12.5.2006

Opravy chyb:

- Opraven problém #171051 (zhroucení při hledání s neexistující cestou)

- Opraven problém s nedostatkem položek nabídky gnome

- Opraveno zhrouceni při zobrazení připojení SMB

- Opraven problém #309877 (neobvyklé artefakty při vodorovném posuvu)

- Opraven problém #332258 (parametr s počáteční složkou pro levý/pravý panel)

- Opraven problém #332261 (nesprávné zpracování exec_prefix během operací configure/makefiles)

- Opraven problém #336649 (číselná prezentace oprávnění)

- Opraven problém se zhroucením při použití poškozeného nebo neodpovídajícího vzoru regulárního výrazu v pokročilém přejmenování

Nové funkce:

- Sledování připojených svazků

- Přepsán interní prohlížeč

- Externí nástroje a prohlížeč štítků Exif/IPTC pro interní prohlížeč

- Přibližování pro interní prohlížeč

- Výběr textu pro interní prohlížeč

- Přepracováno rozvržení lišty nástrojů

- Volby pro ovládání přepisu při kopírování a přesunu

- Kopírování úplné cesty k vybranému souboru pomocí Shift+kliknutí na tlačítku lišty nástrojů

- Lepší zacházení se změnami klíče řazení sloupce

- Počáteční rámec dokumentace

- Nové nebo aktualizované překlady: de, es, eu, hu, pl, ro, ru, sl, sv, vi

- Nové klávesové zkratky

  - Shift F3 Interní prohlížeč

  - Alt F3 Externí prohlížeč

  - Alt+písmena Rychlé hledání

  - Ctrl Shift A Zrušit označení všech souborů

1.1.7

12.2.2006

Opravy chyb:

- Opraveno zhroucení, když se zkouší kopírovat aktuálně vybrané soubory

- Opraveno ošetření názvů souborů sekvencemi escape

- Opravena špatná odezva Ctrl+Alt+písmeno při rychlém psaní

- Opravena chyba z Debianu #288933 (chyba kompilace amd64/gcc-4.0)

- Opraven problém #138933 (nekonečná rekurze při táhni-a-upusť složky na sebe sama)

- Opraven problém s odpojovacím tlačítkem, které se nechovalo správně při připojení k serveru FTP a režimu supermount

- Opravena aktualizace po přejmenování bez FAM (File Alteration Monitor – sledování změn souborů)

Nové funkce:

- Nové logo GNOME Commander

- Přidán interní prohlížeč pro F3

- Kopírování názvů vybraného souboru či souborů do schránky

- Vkládání plné cesty k vybranému souboru do příkazového řádku při zmáčknutí Ctrl+Shift+Enter

- Nástroj pokročilého přejmenování – nová zástupná proměnná $g pro prarodičovskou složku

- Tlačítka nástrojové lišty (vyjmout, kopírovat a vložit) nyní reagují na aktuální stav

- Dialogové okno pro správu záložek je nyní přístupné také přes klávesové zkratky záložek

- Nové nebo aktualizované překlady: el, en_CA, en_GB, eu, ga, hu, nb, ne, no, pa, pt_BR, rw, uk, zh_TW

- Nové klávesové zkratky

  - Ctrl M Nástroj vícenásobného přejmenování

  - Ctrl Shift. Kopírovat aktuální pracovní složku z aktivního seznamu souborů do neaktivního

  - Ctrl= Vybrat všechny soubory

  - Ctrl-Zrušit výběr všech souborů

  - = Vybrat soubory pomocí vzoru

1.1.6

20.1.2004

Opravy chyb:

- Opraveno zhroucení, které nastávalo při postupu zpět v historii a při zadání jiné složky

- Opraven problém s rychlým připojováním FTP

- Funkci rychlého hledání lze od nynějška aktivovat i psaním velkých písmen

- Když je skrytý příkazový řádek, není nadále potřeba používat Ctrl+Alt k aktivaci rychlého hledání

Nové funkce:

- Aktualizován zásuvný modul CVS, takže může být používán pro soubory diff a log

- V indikátoru složky použit při najetí myší tučný text namísto podtržení

- Popisek s aktuální pracovní složku je nyní možné vybrat (to je ten vlevo na příkazovém řádku)

- Odstraněna položka nabídky „Uložit polohu“. Velikost a poloha je místo toho od nynějška ukládána automaticky

- Do indikátoru složky přidáno tlačítko pro rozbalování historie složek

- Přidána historie do dialogového okna se vzorem pro výběr a zrušení výběru

- Řazení sloupců a směr se nyní pamatuje

- Nové klávesové zkratky

  - F2 Otevřít dialogové okno přejmenování

  - Shift+F10 Zobrazit kontextovou nabídku souboru (klávesa kontextové nabídky Windows funguje taktéž)

  - Ctrl. Kopírovat aktuální pracovní složku z neaktivního seznamu souborů do aktivního

1.1.5

12.1.2004

Opravy chyb:

- Sloupec přípony je od teď skryt, když je přípona zobrazována jen dohromady s názvem souboru

- Opraveno překreslování, které nebylo nutné, u seznamu souborů při přetahování souborů přes něj

- Opraven problém s připojením FTP, které nezmizelo z připojení na liště nástrojů, když bylo odpojeno

- Program se již nadále nepokouší sám sebe umístit na střed pracovní plochy

- Opraveny problémy při přejmenování složek

Nové funkce:

- Zobrazení cesty nad seznamem souborů je možné použít k pohybu zpět na složky v cestě

1.1.4

24.11.2003

Opravy chyb:

- Opravena chyba při vybírání více souborů pomocí shift+tlačítko myši

- Ukončeny zbytečné aktualizace seznamu souborů na počítačích s jádrem s aplikovanou záplatou imon

- Vyčištěna kontextová nabídka souboru

- Opravena chyba „Soubor nenalezen“ při procházení rodičovské složky, když rodičovská složka obsahuje mezery

- Opravena možná asynchronní chyba při rušení operace přenosu

- Přepracován vzhled karet a odstraněny barevné karty v dialogovém okně voleb

- Zdokonalen systém zásuvných modulů

1.1.3

14.11.2003

Opravy chyb:

- Opraveno zhroucení, které nastávalo při přesouvání souborů na počítači s instalací FAM (File Alteration Monitor – sledování změn souborů). To vede k tomu, že GNOME Commander zkoušel odstranit ten stejný soubor ze seznamu dvakrát

- Od teď by měl lépe fungovat přístup k souborům na připojených zařízeních

- Zařízení bez názvu souboru zařízení by se již neměla objevovat

- Provedena oprava, po které je použitelnější funkce ponechání otevřeného terminálového okna po skončení práce programu

- Opravena chyba, kdy se nová složka objevovala vícekrát ve stejném seznamu souborů, dokud není znovu načten

Nové funkce:

- Od teď lze vypínat dotaz na potvrzení odstranění

- Lepší chybové zprávy při selhání připojení zařízení

- Při zobrazení dialogového okna předvoleb souboru se spustí automatický přepočet celkové velikosti složky

- Přidán filtr pro záložní soubory a navíc i filtr pro skryté soubory do hlavní nabídky pro rychlejší přístup

1.1.2

7.11.2003

Opravy chyb:

- Mnohem lepší práce s názvy souborů v jiném kódování než UTF-8

- Odstraněno nebezpečné vytváření URI

Nové funkce:

- Tři způsoby zobrazení s příponami souborů

1.1.1

5.11.2003

Opravy chyb:

- Zastaveno zobrazování přípon souborů jak ve sloupci s názvem, tak ve sloupci přípony

- Opraveno zhroucení, které nastávalo při procházení složek

- Opraveny problémy s aktualizací při kopírování a přesouvání souborů

- Rozbalovací seznam s připojeními by měl nyní zobrazovat správná připojení, která jsou stále vybírána

- Odstraněny nějaké chyby vztahující se k vybírání souborů pomocí klávesnice

- Opravena funkce úprav typů MIME

Nové funkce:

- Přidáno tlačítko pro změnu výchozí aplikace pro MIME v dialogovém okně vlastností souboru

1.1.0

1.11.2003

Nové funkce:

- Procházení SMB

- Zásuvné moduly

- Významné přepsání větší části kódu

1.0.1

27.6.2003

Opravy chyb:

- Zdokonalena aktualizace seznamu souborů v režimu bez FAM (File Alteration Monitor – sledování změn souborů)

- Nyní lze na serverech FTP vstupovat do prázdných složek

1.0 | 5.6.2003 | Jedná se o „stabilní produkční“ vydání 1.0. Hlavně opraveny chyby z předchozích verzí.
0.9.12 | 18.3.2003 | Opravy chyb
0.9.11 | 13.3.2003 | Přidána podpora pro $p v dialogovém okně pokročilého přejmenování. Tím získáte rodičovskou složku. Opravena chyba, kdy odstraňování složky občas jen vyprázdnilo složku, ale neodstranilo ji. Opraveno také, že složka „..“ je viditelná v sezení ftp.
0.9.10 | 24.3.2003 | Opravena chyba načítání obrázků, když se používá jiný motiv než výchozí. Nová funkce záložek. Nová funkce šablon v dialogovém okně pokročilého přejmenování. Viz podrobnosti v doc/advrename.txt v balíčku. Hezčí dialogové okno vlastností souboru s podporou přejmenování. Nyní je možné přetahovat soubory do složky „..“. Lze skrýt lištu nástrojů a lištu tlačítek.
0.9.9 | 19.1.2003 | Zdokonalen nástroj na pokročilé přejmenovávání. Přidána funkce Rychlé připojení. Zdokonaleno dialogové okno vyhledávání a opraveny nějaké chyby, které obsahovalo. Přidán výchozí motiv ikon mime s nízkým rozlišením. Upravena vyskakovací nabídka souboru, aby vypadala víc normálně.
0.9.8 | 16.7.2002 | Novými věcmi v tomto vydání jsou automatický posuv při použití „táhni a pusť“, lepší rychlé hledání, připojování a odpojování zařízení, aktualizace seznamů souborů bez FAM (File Alteration Monitor – sledování změn souborů), historie naposledy navštívených složek a další
0.9.7 | 7.6.2002 |
0.9.6 | 4.4.2002 | Přidána podpora pro MIME a opraveny chyby.
0.9.5 | 27.3.2002 | Přidán vestavěný terminál a opraveny některé chyby.
0.9.4 | 21.3.2002 | Přidána podpora FAM (File Alteration Monitor – sledování změn souborů), táhni-a-pusť a další.
0.9.2 | 9.3.2002 | Zlepšena stabilita a úniky paměti. CVS je zakázáno do doby, než bude správně pracovat.
0.91-pre1 | 6.2.2002 | Zdokonaleno uživatelské rozhraní a řady dalších drobných vylepšení.
0.90-pre1 | 2.8.2001 | První veřejná verze aplikace GNOME Commander.